Bug 427692 - Yum 3.2.8 crash
Yum 3.2.8 crash
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
7
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-06 14:30 EST by Mitchell
Modified: 2014-01-21 18:01 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-12 12:20:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mitchell 2008-01-06 14:30:29 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 5.1)

Description of problem:
Total download size: 221 M
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.main(sys.argv[1:])
  File "/usr/share/yum-cli/yummain.py", line 183, in main
    base.doTransaction()
  File "/usr/share/yum-cli/cli.py", line 347, in doTransaction
    msgs = self._run_rpm_check_debug()
  File "/usr/share/yum-cli/cli.py", line 1117, in _run_rpm_check_debug
    self.populateTs(test=1)
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 231, in populateTs
    self.ts.addInstall(hdr, (hdr, rpmfile), txmbr.ts_state)
_rpm.error: adding package to transaction failed
[root@mythfe myth]#


Version-Release number of selected component (if applicable):
yum-3.2.8-2.fc7

How reproducible:
Always


Steps to Reproduce:
1. run 'yum update'
2.
3.

Actual Results:
yum crashes and i am back at the root prompt

Expected Results:
install updates

Additional info:
I have atrpms and fresh rpms repos installed.
Comment 1 Panu Matilainen 2008-01-07 00:52:23 EST
What version of rpm is this? rpm 4.4.2.1 would sometimes "unnecessarily" raise
exception when attempting to add the same package to a transaction twice, rpm
4.4.2.2 will only do that on corrupted packages.

In any case, yum should be taught to handle an exception on ts.addInstall()
gracefully...
Comment 2 Mitchell 2008-01-07 17:46:27 EST
I am running RPM version 4.4.2.1.  After reading you comments i did a 'yum
update rpm'  That installed 4.4.2.2.  Now when i run a 'yum update' the update
process proceeds normally.  

Before i put in this bug report I was having issues installing nvidia-graphics
from ATrpms.  yum wasn't working out the correct kmdl's.  So i did a 'yum update
yum' and that fixed the kmdl issue but i got this yum crash.  So, maybe 'yum
udate yum' should also upgraded rpm as well. 

no matter what i did yum shouldn't have crashed like this.  Ill let the devs
decide if they want to close this or figure out exactly why yum crashed.

Mitchell
Comment 3 Seth Vidal 2008-03-12 12:20:07 EDT
closing

Note You need to log in before you can comment on or make changes to this bug.